Subject: Re: bug#50110: 26.3; Doc of `assoc': TESTFN optional arg

From: Eli Zaretskii <[email-masked]>
Date: Wed, 18 Aug 2021 20:50:06 +0300

> From: Drew Adams <[email-masked]>
> Date: Wed, 18 Aug 2021 17:36:11 +0000
> 
> Neither the `assoc' doc string nor the Elisp manual, node `Association
> Lists' explains the order of the args that get passed to TESTFN.

It's a function that tests 2 objects for equality, so why does the
order matter?

> It's just as reasonable to expect that the pattern is the first arg to
> TESTFN, instead of, as is actually the case, the second arg.

There's no "pattern" in the doc string, so I don't think I understand
what you are describing here.